extends Camera2D
class_name LocalCam

signal enter_cam
func _on_area_2d_body_entered(body: Node2D) -> void:
	if is_current(): return
	
	if global_position.x < body.global_position.x:
		body.position.x -= 18
	else:
		body.position.x += 18
	
	enter_cam.emit(self, body.position)
